"use client"
import { useState, useEffect } from "react";
import metadata from '@metadata.json'
import services from '@helpers/services.json';

function Share(props) {
		
    return (
          <>
               <div className="flex flex-wrap items-center content-center justify-center w-full h-full">
               		{services ? services.share.map((ser, index) => (
		             		<a className="w-[19%] h-[7em] sm:w-[36%] md:w-[28%] sm:h-[10em] m-3" target="_blank"
		             		rel="noopener noreferrer"
		             		href={ser.sharelink.replace(/%url%/g,props.url ?? metadata.hostname).replace(/%text%/g,props.description ?? services.description).replace(/%title%/g, props.title ?? metadata.title + services.title )}>
		             		<button className="btn btn-primary flex flex-col w-full h-full" key={index}>
											<img className="w-auto h-auto max-w-[7em]" alt={ser.name+" logo"} src={"/assets/icons/"+(ser.icon_name ?? ser.name)+".svg"} />
											<span className="font-bold sm:block hidden">{ser.name}</span>
										</button>
										</a>
									))
									: "LOADING..."
									}
									<a className="hidden sm:block w-[36%] md:w-[28%] h-[10em] m-3" target="_blank" rel="noopener noreferrer" href={"mailto:info@example.com?&subject=&cc=&bcc=&body="+props.url ?? metadata.hostname+"\r"+props.description ?? services.description}>
		             		<button className="btn btn-primary flex flex-col h-full w-full">
											<img className="w-auto h-auto max-w-[7em]" src={"/assets/icons/mail.svg"} />
											<span className="font-bold">eMail</span>
										</button>
										</a>
               </div>
          </>
    );
}

export default Share;
